Main Page Class Hierarchy Compound List File List Compound Members File Members

# kom.h File Reference

Go to the source code of this file.

## Functions
int | k_open (char *)
int | k_close (void)
char * | k_get (void)
void | k_dump (void)
int | k_err (void)
int | k_put (char *)
int | k_rd (void)
int | k_its (char *)
char * | k_com (void)
char * | k_str (void)
double | k_val (void)
int | k_int (void)
long | k_long (void)

## Function Documentation

int k_close | ( | void |  | ) |

| Definition at line 82 of file kom.c. References com, k_buf::fid, Kbuf, and Nbuf. Referenced by GetUtil_LoadTable(), site_load(), and wave_client_config().

char* k_com | ( | void |  | ) |

| Definition at line 262 of file kom.c. References com, and k_buf::csav.

void k_dump | ( | void |  | ) |

| Definition at line 108 of file kom.c. References com, and k_buf::crd.

int k_err | ( | void |  | ) |

| Definition at line 116 of file kom.c. References com, and k_buf::ierr. Referenced by GetUtil_LoadTable(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StringToPick(), and wave_client_config().

char* k_get | ( | void |  | ) |

| Definition at line 100 of file kom.c. References com, and k_buf::crd.

int k_int | ( | void |  | ) |

| Definition at line 128 of file kom.c. References com, k_buf::ierr, and k_str(). Referenced by GetUtil_LoadTable(), site_com(), and wave_client_config().

int k_its | ( | char * |  | ) |

| Definition at line 149 of file kom.c. References com, k_buf::crd, and k_buf::istr. Referenced by GetUtil_LoadTable(), site_com(), t_com(), and wave_client_config().

long k_long | ( | void |  | ) |

| Definition at line 166 of file kom.c. References com, k_buf::ierr, and k_str(). Referenced by GetUtil_LoadTable(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), and StringToPick().

int k_open | ( | char * |  | ) |

| Definition at line 62 of file kom.c. References com, k_buf::fid, Kbuf, MAXBUF, and Nbuf. Referenced by GetUtil_LoadTable(), site_load(), and wave_client_config().

int k_put | ( | char * |  | ) |

| Definition at line 187 of file kom.c. References com, k_buf::crd, k_buf::csav, k_buf::icrd, k_buf::ierr, k_buf::istr, and k_buf::ncrd. Referenced by StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), and StringToPick().

int k_rd | ( | void |  | ) |

| Definition at line 219 of file kom.c. References com, k_buf::crd, k_buf::csav, k_buf::fid, k_buf::icrd, k_buf::ierr, k_buf::istr, and k_buf::ncrd. Referenced by GetUtil_LoadTable(), site_load(), and wave_client_config().

char* k_str | ( | void |  | ) |

| Definition at line 270 of file kom.c. References com, k_buf::crd, k_buf::icrd, k_buf::ierr, k_buf::istr, and k_buf::ncrd. Referenced by GetUtil_LoadTable(), k_int(), k_long(), k_val(), site_com(), site_load(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StringToPick(), and wave_client_config().

double k_val | ( | void |  | ) |

| Definition at line 317 of file kom.c. References com, k_buf::ierr, and k_str(). Referenced by site_com(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StringToPick(), and t_com().